.\" $NetBSD: siisata.4,v 1.2 2009/03/07 17:00:16 mjf Exp $
.\"
.\" Copyright (c) 2007, 2008 Jonathan A. Kollasch. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 19, 2009
.Dt SIISATA 4
.Os
.Sh NAME
.Nm siisata
.Nd Silicon Image SATA-II controllers driver
.Sh SYNOPSIS
.Cd "siisata* at pci? dev ? function ?"
.Cd "siisata* at cardbus? function ?"
.Sh DESCRIPTION
The
.Nm
driver supports the Silicon Image SteelVine family of SATA-II controllers,
interfacing the hardware with the
.Xr ata 4
and
.Xr atapi 4
subsystems.
.Pp
The following controllers are supported by the
.Nm
driver:
.Pp
.Bl -tag -width Ds -offset indent -compact
.It Silicon Image SiI3124 4-port PCI/PCI-X
.It Silicon Image SiI3132 2-port PCI-Express x1
.It Silicon Image SiI3531 1-port PCI-Express x1
.El
.Sh SEE ALSO
.Xr ata 4 ,
.Xr atapi 4 ,
.Xr cardbus 4 ,
.Xr pci 4 ,
.Xr wd 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 5.0 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Jonathan A. Kollasch Aq jakllsch@kollasch.net .
.Sh BUGS
.Bl -tag -width Ds -compact
.It SATA Native Command Queuing is not yet supported .
.It Device hot swapping is not yet supported .
.It Silicon Image's Software RAID is not yet supported by the
.Xr ataraid 4
driver.
.Xr raid 4
can be used instead.
.El
